aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorEuAndreh <eu@euandre.org>2021-06-16 13:51:01 -0300
committerEuAndreh <eu@euandre.org>2021-06-16 13:51:01 -0300
commitd38e15acc6bdc17944b7515297b3d94eb0c12bc0 (patch)
treef4a94a53591a6631f58fed77f1b41401b7ef0698
parentaux/: Update (diff)
downloadeuandre.org-d38e15acc6bdc17944b7515297b3d94eb0c12bc0.tar.gz
euandre.org-d38e15acc6bdc17944b7515297b3d94eb0c12bc0.tar.xz
aux/: Update
-rwxr-xr-xaux/workflow/assert-changelog.sh9
-rwxr-xr-xaux/workflow/assert-readme.sh2
-rw-r--r--aux/workflow/preamble.md4
3 files changed, 11 insertions, 4 deletions
diff --git a/aux/workflow/assert-changelog.sh b/aux/workflow/assert-changelog.sh
index bef610b..dc8867f 100755
--- a/aux/workflow/assert-changelog.sh
+++ b/aux/workflow/assert-changelog.sh
@@ -1,9 +1,18 @@
#!/bin/sh
set -eu
+TLD="$(cat aux/tld.txt)"
PROJECT="$1"
shift
+HOMEPAGE_LINK="Changelog for [$PROJECT](https://$TLD/$PROJECT/)."
+
+if ! grep -qF "$HOMEPAGE_LINK" CHANGELOG.md; then
+ echo "Missing link to homepage in CHANGELOG.md:" >&2
+ echo "$HOMEPAGE_LINK"
+ exit 1
+fi
+
assert() {
DATE="$1"
VVERSION="$2"
diff --git a/aux/workflow/assert-readme.sh b/aux/workflow/assert-readme.sh
index 966ec3b..2e5d978 100755
--- a/aux/workflow/assert-readme.sh
+++ b/aux/workflow/assert-readme.sh
@@ -29,7 +29,7 @@ Send contributions to the [mailing list] via [\`git send-email\`](https://git-se
## Links
-- [home page](https://$TLD/$PROJECT/)
+- [homepage](https://$TLD/$PROJECT/)
- [source code](https://git.euandreh.xyz/$PROJECT/)
- [bug tracking](https://$TLD/$PROJECT/TODOs.html)
- [mailing list]
diff --git a/aux/workflow/preamble.md b/aux/workflow/preamble.md
index 30efe0b..dcc2fc3 100644
--- a/aux/workflow/preamble.md
+++ b/aux/workflow/preamble.md
@@ -1,8 +1,6 @@
# About
-TODOs for @PROJECT_UC@.
-
-See also [@TLD@/@PROJECT@/](https://@TLD@/@PROJECT@/) and [CI logs](https://@TLD@/@PROJECT@/ci.html).
+TODOs for [@PROJECT_UC@](https://@TLD@/@PROJECT@/).
Register a new one at
[~euandreh/@MAILING_LIST@@lists.sr.ht](mailto:~euandreh/@MAILING_LIST@@lists.sr.ht?subject=%5B@PROJECT@%5D%20BUG%20or%20TASK%3A%20%3Cdescription%3E)